# there's no binary
%define debug_package %{nil}

%define oname   ETL
%define devname %mklibname %{name} -d

Name:           etl
Version:        1.5.2
Release:        %mkrel 1
Summary:        Template library for synfig
Group:          Development/C++
License:        GPLv2+
URL:            https://www.synfig.org/
Source0:        https://sourceforge.net/projects/synfig/files/ETL-%{version}.tar.gz
BuildRequires:	pkgconfig(glibmm-2.4)

%description
Voria ETL is a multi-platform class and template library designed to
add new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).

%package -n %{devname}
Summary:        Template library for synfig
Group:          Development/C++
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

%description -n %{devname}
Voria ETL is a multi-platform class and template library designed to
add new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files -n %{devname}
%doc AUTHORS README NEWS
%{_bindir}/%{oname}-config
%{_includedir}/%{oname}/
%{_libdir}/pkgconfig/%{oname}.pc


%changelog
* Thu Aug 08 2024 daviddavid <daviddavid> 1.5.2-1.mga10
+ Revision: 2084101
- new version: 1.5.2

* Wed Mar 16 2022 luigiwalser <luigiwalser> 1.5.1-1.mga9
+ Revision: 1795101
- 1.5.1

* Sun Sep 12 2021 wally <wally> 1.4.2-1.mga9
+ Revision: 1745218
- new version 1.4.2

* Sat May 15 2021 wally <wally> 1.4.1-2.mga9
+ Revision: 1723407
- add fixes from upstream to fix clock functions

* Sat May 15 2021 wally <wally> 1.4.1-1.mga9
+ Revision: 1723375
- new version 1.4.1

* Fri Feb 14 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1519849
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 22 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1323663
- new version: 1.2.2
- remove merged upstream patch

* Mon Oct 01 2018 daviddavid <daviddavid> 1.2.1-3.mga7
+ Revision: 1314435
- add upstream patch to fix error preventing builing on gcc 8.1

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1297629
- Mageia 7 Mass Rebuild

* Thu Sep 21 2017 cjw <cjw> 1.2.1-1.mga7
+ Revision: 1156848
- 1.2.1

* Wed Jan 11 2017 akien <akien> 0.04.22-1.mga6
+ Revision: 1081091
- Version 0.04.22

* Thu Feb 11 2016 umeabot <umeabot> 0.04.19-3.mga6
+ Revision: 953867
- Mageia 6 Mass Rebuild
+ tv <tv>
- explain why debuginfo is empty
- reenable debuginfo after killing stripping

* Wed Sep 09 2015 neoclust <neoclust> 0.04.19-2.mga6
+ Revision: 875182
- Fix build with new rpm ( empty debuginfo)

* Fri Jul 31 2015 wally <wally> 0.04.19-1.mga6
+ Revision: 859936
- new version 0.04.19

* Wed Oct 15 2014 umeabot <umeabot> 0.04.17-3.mga5
+ Revision: 748816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.04.17-2.mga5
+ Revision: 679038
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 0.04.17-1.mga5
+ Revision: 592482
- new version 0.04.17

* Sat Oct 19 2013 umeabot <umeabot> 0.04.16-2.mga5
+ Revision: 523991
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- cleanup spec

* Tue May 28 2013 fwang <fwang> 0.04.16-1.mga4
+ Revision: 429241
- new version 0.04.16

* Fri Jan 11 2013 umeabot <umeabot> 0.04.15-2.mga3
+ Revision: 349752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 0.04.15-1.mga3
+ Revision: 257358
- new version 0.04.15

* Sat Aug 06 2011 wally <wally> 0.04.14-1.mga2
+ Revision: 132057
- new version 0.04.14
- create -devel package to make rpmlint happy
- imported package etl


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.04.13-2mdv2011.0
+ Revision: 610391
- rebuild

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.04.13-1mdv2010.1
+ Revision: 492134
- new version 0.04.13

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.04.12-2mdv2010.0
+ Revision: 437497
- rebuild

* Sun Oct 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.04.12-1mdv2009.1
+ Revision: 297311
- import etl


